## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsSinkManager Struct Reference
[AWS, AWS]

Interface for the sink manager. More...

`#include <iaws/aws.h>`

Inheritance diagram for iAwsSinkManager:

[legend]
List of all members.

## Public Member Functions

virtual AWS_VOIDP_IS_WARNING iAwsSink * | CreateSink (void *parm)=0
| Create a new embeddable sink, with parm as the void* passed into the triggers.
virtual iAwsSink * | CreateSink (intptr_t parm)=0
| Create a new embeddable sink, with parm as the intptr_t passed into the triggers.
virtual iAwsSlot * | CreateSlot ()=0
| Create a new embeddable slot.
virtual iAwsSink * | FindSink (const char *name)=0
| Finds a sink by name for connection.
virtual void | RegisterSink (const char *name, iAwsSink *sink)=0
| Registers a sink by name for lookup.
virtual bool | RemoveSink (iAwsSink *sink)=0
| Remove the indicated sink.
virtual bool | Setup (iObjectRegistry *object_reg)=0
| Performs whatever initialization is needed.

## Detailed Description

Interface for the sink manager.

Definition at line 653 of file aws.h.

## Member Function Documentation

virtual AWS_VOIDP_IS_WARNING iAwsSink* iAwsSinkManager::CreateSink | ( | void * | parm | ) | `[pure virtual]`

Create a new embeddable sink, with parm as the void* passed into the triggers.

Deprecated:
  For proper 64-bit platform support, use the intptr_t version of CreateSink().

virtual iAwsSink* iAwsSinkManager::CreateSink | ( | intptr_t | parm | ) | `[pure virtual]`

| Create a new embeddable sink, with parm as the intptr_t passed into the triggers.

virtual iAwsSlot* iAwsSinkManager::CreateSlot | ( |  | ) | `[pure virtual]`

| Create a new embeddable slot.

virtual iAwsSink* iAwsSinkManager::FindSink | ( | const char * | name | ) | `[pure virtual]`

| Finds a sink by name for connection.

virtual void iAwsSinkManager::RegisterSink | ( | const char * | name,
|  | iAwsSink * | sink
| ) | `[pure virtual]`

| Registers a sink by name for lookup.

virtual bool iAwsSinkManager::RemoveSink | ( | iAwsSink * | sink | ) | `[pure virtual]`

| Remove the indicated sink.

virtual bool iAwsSinkManager::Setup | ( | iObjectRegistry * | object_reg | ) | `[pure virtual]`

| Performs whatever initialization is needed.

The documentation for this struct was generated from the following file:

- iaws/aws.h